import dagger.Subcomponent;

@Subcomponent
public interface ${NAME}Component {

    @Subcomponent.Factory
    interface Factory {
        ${NAME}Component create();
    }

    void inject(${NAME}Fragment ${NAME}Fragment);
}